Skip to content
Start here

Delete a WAF override

Deprecated
firewall.waf.overrides.delete(stroverrides_id, OverrideDeleteParams**kwargs) -> OverrideDeleteResponse
DELETE/zones/{zone_id}/firewall/waf/overrides/{overrides_id}

Deletes an existing URI-based WAF override.

Note: Applies only to the previous version of WAF managed rules.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Zone Settings Write
ParametersExpand Collapse
zone_id: str

Defines an identifier.

maxLength32
overrides_id: str

The unique identifier of the WAF override.

maxLength32
ReturnsExpand Collapse
class OverrideDeleteResponse:
id: Optional[str]

The unique identifier of the WAF override.

maxLength32

Delete a WAF override

import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
override = client.firewall.waf.overrides.delete(
    overrides_id="de677e5818985db1285d0e80225f06e5",
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
print(override.id)
{
  "result": {
    "id": "de677e5818985db1285d0e80225f06e5"
  }
}
Returns Examples
{
  "result": {
    "id": "de677e5818985db1285d0e80225f06e5"
  }
}